API Reference
API Reference

List Subscriptions

List Subscriptions

Query Params
ids
array of strings

Subscription ID array, filter subscription records whose IDs belong to this array

ids
string

Subscription business status:

  • init - Pending activation
  • trial - Trial period
  • active - Active
  • canceled - Canceled
  • incomplete - Incomplete
string

Cursor for pagination. starting_after is the object ID that defines your position in the list. For example, if you want to get the next page, you can use the last object's ID as the parameter value after getting the object list for the first time. Cannot be used together with ending_before

string

Cursor for pagination. ending_before is the object ID that defines your position in the list. For example, if you want to get the previous page, you can use the first object's ID as the parameter value after getting the object list for the first time. Cannot be used together with starting_after

int32

Pagination parameter, number of items per page, default: 10, interface defaults to sorting by creation time in descending order. Limit: [1, 100]

string

Merchant unique identifier

order_ids
array of strings

The order_ids of you platform, filter the subscription records where the order_id belongs to this array.

order_ids
source_trade_ids
array of strings

The source_trade_id array, filter subscriptions where source_trade_id belongs to this array

source_trade_ids
billing_cycle_unit
array of strings

Subscription business billing cycle unit:

  • week
  • month
  • quarter
  • year
  • customer-initiated
  • over_threshold
billing_cycle_unit
string

The search_type belongs to one of the fields such as subscription_id,trade_id,refund_id,invoice_id, and customer_id

string

The search_value is the value corresponding to search_type

string

Minimum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

string

Minimum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

string

Maximum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

string

Maximum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

Headers
string
required
Defaults to 008e3967-a1b5-48bb-be14-d5bff5092e61

The unique identifier of the request

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json